Package org.apache.catalina.ha.tcp

## Class SendMessageData

- java.lang.Object
- - org.apache.catalina.ha.tcp.SendMessageData

    public class SendMessageData
    extends Object

Author:
  Peter Rossbach

### Constructor Summary

Constructors
`SendMessageData​(Object message, Member destination, Exception exception)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Member` `getDestination()`
`Exception` `getException()`
`Object` `getMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendMessageData

    public SendMessageData​(Object message,
                           Member destination,
                           Exception exception)

Parameters:
  `message` - The message to send
  `destination` - Member destination
  `exception` - Associated error

### Method Detail

#### getDestination

    public Member getDestination()

Returns:
  the destination.

#### getException

    public Exception getException()

Returns:
  the exception.

#### getMessage

    public Object getMessage()

Returns:
  the message.